%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Cairo

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl bindings to the cairo graphics library (http://www.cairographics.org).
Name:		perl-%{perlname}
Version:	1.060
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Cairo
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-Test-Number-Delta
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	cairo-devel

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
Cairo provides Perl bindings for the vector graphics library cairo. 
It supports multiple output targets, including PNG, PDF and SVG. 
Cairo produces identical output on all those targets.

For more details see: http://search.cpan.org/search?module=%{perlname}

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.060-1
- Version Update
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.044-1
- Version Update
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.01-1
- Version update
* Fri Sep 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.00-1
- Initial Release
